package jp.ehobby.ui.gui.graph.model;

import java.awt.Color;

/**
 * 棒グラフモデルインタフェース.
 * 棒グラフを表示するためのデータを扱うインタフェース.
 * @author kei-n
 */
public interface BarGraphModelIf {

	/**
	 * データの名称を返します.
	 *
	 * @return データ名称
	 */
	String getDataName();


	/**
	 * 指定されたインデックスのデータを返します.
	 *
	 * @param index インデックス
	 * @return データ
	 */
	double getData(final int index);


	/**
	 * 指定されたインデックスのデータラベルを返します.
	 *
	 * @param index インデックス
	 * @return ラベル
	 */
	String getDataLabel(final int index);


	/**
	 * データの数を返します.
	 *
	 * @return データの数
	 */
	int size();


	/**
	 * 棒グラフに用いる色を返します.
	 *
	 * @return 色
	 */
	Color getColor();

}
